System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

is used by the class.

The field was misnamed and its behavior is similar to the NoFitBlackBox field in the original GDI+ implementation.

Specifies the display and layout information for text strings.

- Field
  System.Drawing.StringFormatFlags To be added

  Text is displayed from right to left.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Text is vertically aligned.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Control characters such as the left-to-right mark are shown in the output with a representative glyph.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Parts of characters are allowed to overhang the string's layout rectangle. By default, characters are repositioned to avoid any overhang.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Only entire lines are laid out in the formatting rectangle. By default layout continues until the end of the text, or until no more lines are visible as a result of clipping, whichever comes first. Note that the default settings allow the last line to be partially obscured by a formatting rectangle that is not a whole multiple of the line height. To ensure that only whole lines are seen, specify this value and be careful to provide a formatting rectangle at least as tall as the height of one line.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Includes the trailing space at the end of each line. By default the boundary rectangle returned by the method excludes the space at the end of each line. Set this flag to include that space in measurement.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Overhanging parts of glyphs, and unwrapped text reaching outside the formatting rectangle are allowed to show. By default all text and glyph parts reaching outside the formatting rectangle are clipped.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Fallback to alternate fonts for characters not supported in the requested font is disabled. Any missing characters are displayed with the fonts missing glyph, usually an open square.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.StringFormatFlags To be added

  Text wrapping between lines when formatting within a rectangle is disabled. This flag is implied when a point is passed instead of a rectangle, or when the specified rectangle has a zero line length.

  1.0.5000.0
  2.0.0.0